Skip to main content
GET
/
api
/
v2
/
rewards
/
coupons
List coupon inventory
curl --request GET \
  --url https://api.zupy.com/api/v2/rewards/coupons/ \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "coupon_code": "<string>",
      "reward_name": "<string>",
      "reward_id": "<string>",
      "customer_id": "<string>",
      "customer_name": "<string>",
      "status": "active",
      "status_display": "<string>",
      "points_spent": 123,
      "redemption_date": "2023-11-07T05:31:56Z",
      "valid_until": "2023-11-07T05:31:56Z",
      "remaining_usages": 123,
      "total_usages_allowed": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "cursor": "<string>",
    "has_next": true,
    "count": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for partner access via APISIX key-auth plugin

Query Parameters

cursor
string

Pagination cursor value from previous response.

page_size
integer

Number of results to return per page.

Response

data
object[]
required
meta
object
required